[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.RealSetText

Updates ItemIndex when the new value for the control is updated.

## Declaration

Source position: stdctrls.pp line 386

`protected procedure TCustomComboBox.RealSetText(`
`const AValue: TCaption`
`); override;`

## Arguments

`AValue` |  | The new value for the control.

## Description

RealSetText is an overridden method in TCustomComboBox. It ensures that ItemIndex is updated with the ordinal position in Items where the AValue argument is found. The value in ItemIndex is determined by locating the specified value using the case sensitivity and search order settings in the AutoCompleteText. If there are no values stored in Items, or AValue is not stored there, ItemIndex is set to -1.

A visible emulated TextHint is hidden when AValue is not an empty string ('').

The inherited method is called prior to exit. This causes the widgetset class to be updated when its Handle is valid. The value in Caption is also updated, and a CM_TEXTCHANGED control message is performed for the control.

## See also

TCustomComboBox.ItemIndex |  | The index of the currently selected item, or -1 if no item is selected.
TCustomComboBox.Items |  | The list of items displayed in the combo-box control.
TCustomComboBox.MatchListItem |  | Gets the position for the specified value in Items using the AutoCompleteText settings for the control.
TCustomComboBox.AutoCompleteText |  | Options for the behavior of the Auto-Complete feature.
TCustomComboBox.RealGetText |  | Gets the text/caption for the control.
TCustomComboBox.RealGetText |  | Gets the text/caption for the control.
TWinControl.RealSetText |  | Sets the text / caption for the control.
TWinControl.RealGetText |  | Returns the Caption property.